/* useful reference: www.linuxselfhelp.com/gnu/ld/html_chapter/ld_toc.html */
MEMORY
{
    flash : org = 0x00000000, len = 32k
    ram : org = 0x10000000, len = 8k
}
  
SECTIONS
{
        
	. = ORIGIN(ram);
    .text : {
		  *(.vectors); /* The interrupt vectors */
		  *(.text);
    } >ram
	. = ORIGIN(ram);
    .data : {
	  INIT_DATA_VALUES = LOADADDR(.data);
	  INIT_DATA_START = .;
	    *(.data);
	  INIT_DATA_END = .;
    } >ram 
	BSS_START = .;
	__bss_start__ = .;
	.bss : {
	  
	    *(.bss);
	  
	} > ram
	BSS_END = .;
	__bss_end__ = .;
}

